/**
 * zdyapi客户端对接接口
 */
window.zdyapi = {
  /**
   * 设置进度条进度
   * @param {int} num 范围1~100，进度值
   */
  // progress: function (num) {
  //   parent.zdyapi.progress(num);
  // },
  /**
   * 提交分数
   * @param {int} score 分数
   * @param {func} callback 回调函数
   */
  // submitScore: function (score, callback) {
  //   parent.zdyapi.submitScore(score, callback);
  // },
  /**
   * 获得排行榜
   * @param {func} callback 回调函数
   */
  // getRank: function (callback) {
  //   parent.zdyapi.getRank(callback);
  // },
  /**
   * 是否能播放广告
   * @param {func} callback 回调函数
   * @returns {boolean} 是否能播放广告
   */
  canPlayAd: function (callback) {
    //callback({canPlayAd:1,remain:999999})
    // return parent.zdyapi.canPlayAd(callback);
    return true
  },
  /**
   * 播放广告
   * @param {func} callback 回调函数
   */
  playAd: function (e,o,t) {
    window.h5api
    ? window.h5api.playAd((res) => {
        if (res.code === 10001) {
          
            console.log("showReward success"),
            e && e.call(o, 1, t)
            tips_01("Reward success")
            
        } else {
          e && e.call(o, 0, t)
          // f(),
          // cc.director.resume(), console.log("showReward fail: " + this), cc.audioEngine.resumeAll();
          tips_01("No ads filled")  
      }
      })
    : ( e && e.call(o, 1, t),tips_01("Reward success"));
  return;
  },
  /**
   * 播放插屏广告
   */
  // playInterstitialAd: function () {
  //   parent.zdyapi.playInterstitialAd();
  // },
  /**
   * 调用分享功能
   */
  share: function () {
    parent.zdyapi.share();
  },
  /**
   * 获得用户当前是否登录
   */
  // isLogin: function () {
  //   return parent.zdyapi.isLogin();
  // },
  /**
   * 用户登录
   * @param {func} callback 回调函数
   */
  // login: function (callback) {
  //   parent.zdyapi.login(callback);
  // },
  /**
   * 获得用户头像地址，高宽为120*120像素
   *
   * @param {String} uid 用户编号
   * @param {String} size 头像大小
   * @return 用户头像地址
   */
  // getUserAvatar: function (uid, size) {
    //return 'https://a.3304399.net/' + uid + '/' + (size || 'middle');
  // },
  /**
   * 获得用户小头像地址，高宽为48*48像素（small 不再使用，统一调整为 middle）
   */
  // getUserSmallAvatar: function (uid) {
  //   return this.getUserAvatar(uid, 'middle');
  // },
  /**
   * 获得用户大头像地址，高宽为200*200像素
   */
  // getUserBigAvatar: function (uid) {
  //   return this.getUserAvatar(uid, 'big');
  // },
  /**
   * 获得用户超大头像地址，高宽为360*360像素
   */
  // getUserLargeAvatar: function (uid) {
  //   return this.getUserAvatar(uid, 'large');
  // },
  /**
   * 提交排名
   *
   * @param {int} score 分数
   * @param {func} callback 回调函数
   */
  // submitRanking: function (score, callback) {
  //   parent.zdyapi.submitRanking(score, callback);
  // },
  /**
   * 新版提交排名
   * @param {*} rankId 排行榜id
   * @param {*} score 分数
   * @param {*} callback 回调函数
   */
  // submitRankScore: function (rankId, score, callback) {
  //   parent.zdyapi.submitRankScore(rankId, score, callback);
  // },
  /**
   * 获得我的排名
   *
   * @param {func} callback 回调函数
   */
  // getMyRanking: function (callback) {
  //   parent.zdyapi.getMyRanking(callback);
  // },
  /**
   * 获得排名列表
   *
   * @param {func} callback 回调函数
   * @param {int} page 页码 从1开始
   * @param {int} step 每页条数
   */
  // getRanking: function (callback, page, step) {
  //   parent.zdyapi.getRanking(callback, page, step);
  // },
  /**
   * 展示排行榜列表面板
   */
  // showRanking: function () {
  //   parent.zdyapi.showRanking();
  // },
  /**
   * 展示新版排行榜面板
   */
  // showRankList: function () {
  //   parent.zdyapi.showRankList();
  // },
  /**
   * 获得我附近排名列表
   *
   * @param {func} callback 回调函数
   * @param {int} step 需要条数
   */
  // getNearRanking: function (callback, step) {
  //   parent.zdyapi.getNearRanking(callback, step);
  // },
  /**
   * 敏感词检查
   *
   * @param {*} word
   * @param {*} callback
   */
  // checkWord: function (word, callback) {
  //   parent.zdyapi.checkWord(word, callback);
  // },
  /*
   * 展示推荐面板
   */
  // showRecommend: function () {
  //   parent.zdyapi.showRecommend();
  // },
  /**
   * 存档
   * @param {*} params.more 是否是多档 true | false
   * @param {*} params.type 操作类型 write | read
   * @param {*} params.title 存档标题 type为write时必填
   * @param {*} params.data 存档数据 type为write时必填
   * @param {*} params.callback 回调函数
   */
  // save: function (params) {
  //   parent.zdyapi.save(params);
  // },
  /**
   * 游戏模式
   * @param {*} mode 1 游客 2 账户，不传则打开面板
   */
  // gameMode: function (mode) {
  //   parent.zdyapi.gameMode(mode);
  // },
  /**
   * 显示引导面板
   * @param {*} callback 领取按钮回调
   */
  // showGuide: function (callback, index) {
  //   parent.zdyapi.showGuide(callback, index);
  // },
  /**
   * 检查API是否能使用
   */
  checkAPI: function () {
    if (parent === window) {
      console.error('不支持本地测试，请尽快提交游戏到原创平台预览');
    } else if (document.domain !== '4399.com') {
      try {
        document.domain = '4399.com';
      } catch (e) {
        if (
          document.domain.indexOf('4399.com') === -1 &&
          document.domain.indexOf('devh5.com') === -1 &&
          document.domain.indexOf('4399api.com') === -1
        ) {
          console.error(
            '当前地址并非在4399域下，可能导致部分API接口产生异常。'
          );
        }
      }
    }
  }
};
// window.zdyapi.checkAPI();
